FSSYNC-DEBUG_LIST(8)

NAME
fssync-debug_list - Historical sync command (FSYNC_VOL_LISTVOLUMES opcode)

SYNOPSIS
fssync-debug list B<-volumeid> <I<volume ID>>
    [B<-partition> <I<exact partition name>>]
    [B<-reason> <I<sync protocol reason code>>]
    [B<-programtype> <I<program type code>>]
    [-help]

fssync-debug li B<-v> <I<volume ID>>
    [B<-pa> <I<exact partition name>>]
    [B<-r> <I<sync protocol reason code>>]
    [B<-pr> <I<program type code>>]
    [-h]

fssync-debug ls B<-v> <I<volume ID>>
    [B<-pa> <I<exact partition name>>]
    [B<-r> <I<sync protocol reason code>>]
    [B<-pr> <I<program type code>>]
    [-h]

DESCRIPTION
The fssync-debug list does nothing but return success, assuming the fileserver is available. The opcode it calls exists for historical reasons, and now does nothing.

OPTIONS

-volumeid <volume ID>
    Specifies the numeric volume ID. Volume names are not permitted.

-partition <exact partition name>
    Specifies the exact partition name (e.g. /vicepa). Abbreviations are not permitted.

-reason <sync protocol reason code>
    Specifies numeric sync protocol reason code. Available codes are listed in OpenAFS source file src/vol/fssync_inline.h. For SYNC_REASON_NONE, use -reason 0.

-programtype <program type code>
    Specifies program type code. Permitted values are fileServer, volumeUtility, salvager, salvageServer, volumeServer and volumeSalvager.

PRIVILEGE REQUIRED
The issuer must have write access to the file server. Usually, this means that the issuer must be the local superuser "root" on the file server machine.

SEE ALSO
fssync-debug_header(8), fssync-debug_stats(8)

COPYRIGHT
Copyright 2010 Davor Ocelic <docelic@spinlocksolutions.com>

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Davor Ocelic for OpenAFS, based on documentation from Steven Jenkins, Tom Keiser and Simon Wilkinson.